Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"per_page": 10,
"page": 1,
"sort": "-created_at",
"include": "discountCode,currentPhase,processingRenewalOrder",
"filter": {
"status": "active",
"name": "subscription-name",
"current_period_end": "2023-12-31T23:59:59.0000000+00:00",
"uuids": [
"550e8400-e29b-41d4-a716-446655440000"
],
"customer": {
"name": "tenant_name",
"user_id": "random_user_id"
}
}
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/search"
payload = {
"per_page": 10,
"page": 1,
"sort": "-created_at",
"include": "discountCode,currentPhase,processingRenewalOrder",
"filter": {
"status": "active",
"name": "subscription-name",
"current_period_end": "2023-12-31T23:59:59.0000000+00:00",
"uuids": ["550e8400-e29b-41d4-a716-446655440000"],
"customer": {
"name": "tenant_name",
"user_id": "random_user_id"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
per_page: 10,
page: 1,
sort: '-created_at',
include: 'discountCode,currentPhase,processingRenewalOrder',
filter: {
status: 'active',
name: 'subscription-name',
current_period_end: '2023-12-31T23:59:59.0000000+00:00',
uuids: ['550e8400-e29b-41d4-a716-446655440000'],
customer: {name: 'tenant_name', user_id: 'random_user_id'}
}
})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "b7c3c79b-abb5-3f19-b643-83866937758d",
"name": "Reiciendis enim placeat.",
"short_description": "Deserunt adipisci est modi similique.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-97e0-4ed5-b788-192aec952272",
"auth_id": "937b686b-d2df-3139-b4f8-70cf0b4320c4",
"name": "Lempi Torp",
"business_entity_id": "a13651d5-9723-49c7-a316-922914f87f51",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "755e1c1b-3b3f-3b2e-ab45-1cada2967aeb",
"name": "Fuga sunt illum aut.",
"short_description": "Autem rerum eius velit est.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
},
{
"uuid": "d84eaa13-bb2e-3ae9-8571-a320c1f9ed92",
"name": "Possimus corrupti reiciendis debitis.",
"short_description": "Enim aliquid enim facere ut id soluta.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-b30a-4fc9-9ea8-1419eb5b09f5",
"auth_id": "775bf026-b4d8-3f2c-a61a-fe1b27a64ebd",
"name": "Gardner Auer I",
"business_entity_id": "a13651d5-b242-4b9c-b5b9-66df2bcb9ce9",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "14c64f50-0a02-3122-a0f4-ff3ca1b08303",
"name": "Illum ut et.",
"short_description": "Occaecati quae expedita molestiae distinctio.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}Search subscriptions with enhanced filtering capabilities including UUID arrays.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
Number of results per page. Must be at least 1. Must not be greater than 100.
10
Page number for pagination. Must be at least 1.
1
Sort by field. Prefix with - for descending order.
"-created_at"
Comma-separated list of relationships to include.
"discountCode,currentPhase,processingRenewalOrder"
Object containing filter criteria.
Show child attributes
{
"status": "active",
"name": "subscription-name",
"current_period_end": "2023-12-31T23:59:59+00:00",
"uuids": ["550e8400-e29b-41d4-a716-446655440000"],
"customer": {
"name": "tenant_name",
"user_id": "random_user_id"
}
}
Show child attributes
[
{
"uuid": "b7c3c79b-abb5-3f19-b643-83866937758d",
"name": "Reiciendis enim placeat.",
"short_description": "Deserunt adipisci est modi similique.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32+00:00",
"current_period_end": "2026-04-03T14:05:32+00:00",
"previous_period_start": "2026-03-03T14:05:32+00:00",
"previous_period_end": "2026-02-03T14:05:32+00:00",
"started_at": "2026-03-03T14:05:32+00:00",
"terminated_at": "2026-03-03T14:05:32+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-97e0-4ed5-b788-192aec952272",
"auth_id": "937b686b-d2df-3139-b4f8-70cf0b4320c4",
"name": "Lempi Torp",
"business_entity_id": "a13651d5-9723-49c7-a316-922914f87f51",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "755e1c1b-3b3f-3b2e-ab45-1cada2967aeb",
"name": "Fuga sunt illum aut.",
"short_description": "Autem rerum eius velit est.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32+00:00"
},
{
"uuid": "d84eaa13-bb2e-3ae9-8571-a320c1f9ed92",
"name": "Possimus corrupti reiciendis debitis.",
"short_description": "Enim aliquid enim facere ut id soluta.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32+00:00",
"current_period_end": "2026-04-03T14:05:32+00:00",
"previous_period_start": "2026-03-03T14:05:32+00:00",
"previous_period_end": "2026-02-03T14:05:32+00:00",
"started_at": "2026-03-03T14:05:32+00:00",
"terminated_at": "2026-03-03T14:05:32+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-b30a-4fc9-9ea8-1419eb5b09f5",
"auth_id": "775bf026-b4d8-3f2c-a61a-fe1b27a64ebd",
"name": "Gardner Auer I",
"business_entity_id": "a13651d5-b242-4b9c-b5b9-66df2bcb9ce9",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "14c64f50-0a02-3122-a0f4-ff3ca1b08303",
"name": "Illum ut et.",
"short_description": "Occaecati quae expedita molestiae distinctio.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32+00:00"
}
]
Show child attributes